/*
 * $Author: andre $
 * $Date: 96/07/24 16:51:36 $
 * $Revision: 1.0 $
 * $Log:	detect.h,v $
 * Revision 1.0  96/07/24  16:51:36  andre
 * Initial revision
 * 
 */

#ifndef _DETECT_H_
#define _DETECT_H_

#if defined(__STDC__) || defined(ANSI) || defined(NRANSI) /* ANSI */

double ratio(double, double, int extreme);
double odeh(double p);

double sens_g(double ns, double n, double h1, double f1, int extreme);
double loc_g(double ns, double n, double h1, double f1, int extreme);
double relloc_g(double ns, double n, double h1, double f1, int extreme);
double like_g(double ns, double n, double h1, double f1, int extreme);
double loglike_g(double ns, double n, double h1, double f1, int extreme);
 
double sens_l(double ns, double n, double h1, double f1, int extreme);
double sens_alfa(double ns, double n, double h1, double f1, int extreme);
double loc_l(double ns, double n, double h1, double f1, int extreme);
double logloc_l(double ns, double n, double h1, double f1, int extreme);
double relloc_l(double ns, double n, double h1, double f1, int extreme);
double like_l(double ns, double n, double h1, double f1, int extreme);
double loglike_l(double ns, double n, double h1, double f1, int extreme);
double hodos(double ns, double n, double h1, double f1, int extreme);
double grier(double ns, double n, double h1, double f1, int extreme);

double sens_q(double ns, double n, double h1, double f1, int extreme);
double sens_pc(double ns, double n, double h1, double f1, int extreme);
double loc_k(double ns, double n, double h1, double f1, int extreme);
double relloc_k(double ns, double n, double h1, double f1, int extreme);
 
double sens_lor(double ns, double n, double h1, double f1, int extreme);
double sens_yule(double ns, double n, double h1, double f1, int extreme);
 
double sens_np(double ns, double n, double h1, double f1, int extreme);

double roc_slope(double ns, double n, double h1, double f1, double ns2,
    double n2, double h2, double f2, int extreme);
double delta_m(double ns, double n, double h1, double f1, double ns2,
    double n2, double h2, double f2, int extreme);
double roc_da(double ns, double n, double h1, double f1, double ns2,
    double n2, double h2, double f2, int extreme);
double roc_de(double ns, double n, double h1, double f1, double ns2,
    double n2, double h2, double f2, int extreme);
double roc_az(double ns, double n, double h1, double f1, double ns2,
    double n2, double h2, double f2, int extreme);

#else /* traditional K & R */

double ratio();
double odeh();

double sens_g();
double loc_g();
double relloc_g();
double like_g();
double loglike_g();
 
double sens_l();
double sens_alfa();
double loc_l();
double logloc_l();
double relloc_l();
double like_l();
double loglike_l();
double hodos();
double grier();

double sens_q();
double sens_pc();
double loc_k();
double relloc_k();
 
double sens_lor();
double sens_yule();
 
double sens_np();

double roc_slope();
double delta_m();
double roc_da();
double roc_de();
double roc_az();

#endif /* ANSI */

#endif /* _DETECT_H_ */
